package com.javacodegeeks.android.togglebuttonexample;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;
import android.widget.ToggleButton;
 
public class MainActivity extends Activity {
 
  private ToggleButton togButton1, togButton2;
  private Button mainButtony;
 
  @Override
  public void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);
	setContentView(R.layout.main);
 
	addMainButtonListener();
 
  }
 
  public void addMainButtonListener() {
 
	togButton1 = (ToggleButton) findViewById(R.id.toggleButton1);
	togButton2 = (ToggleButton) findViewById(R.id.toggleButton2);
	
	mainButtony = (Button) findViewById(R.id.btnDisplay);
 
	mainButtony.setOnClickListener(new OnClickListener() {
 
		@Override
		public void onClick(View v) {
 
		   StringBuffer message_output = new StringBuffer();
		   
		   message_output.append("toggleButton1 : ").append(togButton1.getText());
		   message_output.append("\ntoggleButton2 : ").append(togButton2.getText());
 
		   Toast.makeText(MainActivity.this, message_output.toString(), Toast.LENGTH_SHORT).show();
 
		}
 
	});
 
  }
}